.PHONY: up down logs build clean


up: build
	docker-compose up --detach


down:
	docker-compose down


logs:
	docker-compose logs


build: build/app
	docker-compose build


clean:
	rm -rf build


build/app: build/gen src/services/PlaceOrderService.js src/package.json
	rm -rf build/app/
	mkdir -p build/app/
	cp -R build/gen/* build/app/
	cp -R src/* build/app/


build/gen: build/openapi.yml
	rm -rf build/gen/
	openapi-generator.sh generate -g nodejs-express-server -i build/openapi.yml -o build/gen/


build/openapi.yml: ../openapi.yml
	mkdir -p build
	cat ../openapi.yml | sed 's/8080/10001/g' > build/openapi.yml
